Debian Bug report logs - #572320
newt: Please drop the libgpm-dev dependency

version graph

Package: newt; Maintainer for newt is Alastair McKinstry <mckinstry@debian.org>;

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Wed, 3 Mar 2010 10:03:02 UTC

Severity: serious

Tags: patch

Found in version 0.52.10-7

Fixed in version 0.52.10-8

Done: Paul Wise <pabs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#572320; Package newt. (Wed, 03 Mar 2010 10:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Wed, 03 Mar 2010 10:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: newt: Please drop the libgpm-dev dependency
Date: Wed, 3 Mar 2010 11:01:01 +0100
[Message part 1 (text/plain, inline)]
Package: newt
Version: 0.52.10-7
Severity: serious
Tags: patch
Justification: FTBFS on kfreebsd

Hello,

Please drop the libgpm-dev dependency completely. Contrary to what the
name suggests, gpm support in newt doesn't need libgpm, as newt has its
own copy of the libgpm source (and it makes it FTBFS on non-linux archs
which don't have it).

Samuel

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.33 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- 
Samuel Thibault <samuel.thibault@fnac.net>
<c> hiri, le cri ici, c des marrants
<c> j'ai un rep ".uglyhackdirectorywithoutacls" ds mon home
 -+- #ens-mim en stage -+-
[patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#572320; Package newt. (Wed, 03 Mar 2010 10:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <alastair.mckinstry@ichec.ie>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Wed, 03 Mar 2010 10:45:06 GMT) Full text and rfc822 format available.

Message #10 received at 572320@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <alastair.mckinstry@ichec.ie>
To: Samuel Thibault <sthibault@debian.org>, 572320@bugs.debian.org
Subject: Re: Bug#572320: newt: Please drop the libgpm-dev dependency
Date: Wed, 03 Mar 2010 10:09:05 +0000
Ok,

I hadn't noticed this before - why does newt have its own copy of libgpm
(or why isn't libgpm-dev available for kfreebsd, etc) ?

Regards
Alastair

On 2010-03-03 10:01, Samuel Thibault wrote:
> Package: newt
> Version: 0.52.10-7
> Severity: serious
> Tags: patch
> Justification: FTBFS on kfreebsd
>
> Hello,
>
> Please drop the libgpm-dev dependency completely. Contrary to what the
> name suggests, gpm support in newt doesn't need libgpm, as newt has its
> own copy of the libgpm source (and it makes it FTBFS on non-linux archs
> which don't have it).
>
> Samuel
>
> -- System Information:
> Debian Release: squeeze/sid
>    APT prefers testing
>    APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 2.6.33 (SMP w/2 CPU cores)
> Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
>
>    


Regards,
Alastair

-- 
Alastair McKinstry ,  Computational Scientist<alastair.mckinstry@ichec.ie>
ICHEC, Room 301, IT Building NUI Galway,  Galway , Ireland
tel: +353 91 495946






Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#572320; Package newt. (Wed, 03 Mar 2010 10:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Wed, 03 Mar 2010 10:48:03 GMT) Full text and rfc822 format available.

Message #15 received at 572320@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Alastair McKinstry <alastair.mckinstry@ichec.ie>
Cc: 572320@bugs.debian.org
Subject: Re: Bug#572320: newt: Please drop the libgpm-dev dependency
Date: Wed, 3 Mar 2010 11:47:21 +0100
Alastair McKinstry, le Wed 03 Mar 2010 10:09:05 +0000, a écrit :
> I hadn't noticed this before - why does newt have its own copy of libgpm
> (or why isn't libgpm-dev available for kfreebsd, etc) ?

gpm itself is quite linux-specific in many ways, to handle VT
multiplexing and such in the gpm daemon for instance. Getting mouse
events in e.g. an xterm is however OS-agnostic, and so it could make
sense to patch gpm to make it build on non-Linux archs at least just for
the libgpm, indeed.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#572320; Package newt. (Wed, 03 Mar 2010 10:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Wed, 03 Mar 2010 10:57:10 GMT) Full text and rfc822 format available.

Message #20 received at 572320@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 572320@bugs.debian.org
Subject: Re: Bug#572320: newt: Please drop the libgpm-dev dependency
Date: Wed, 3 Mar 2010 11:52:28 +0100
[Message part 1 (text/plain, inline)]
On Wed, Mar  3, 2010 at 11:01:01 +0100, Samuel Thibault wrote:

> newt has its own copy of the libgpm source

Eww.  Shouldn't that get changed?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Reply sent to Paul Wise <pabs@debian.org>:
You have taken responsibility. (Sun, 14 Mar 2010 08:27:05 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Sun, 14 Mar 2010 08:27:05 GMT) Full text and rfc822 format available.

Message #25 received at 572320-done@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 572320-done@bugs.debian.org
Subject: newt: 572320: fixed, not closed due to typo
Date: Sun, 14 Mar 2010 15:24:35 +0700
[Message part 1 (text/plain, inline)]
Version: 0.52.10-8

This bug was fixed in unstable recently but the maintainer did a typo in
the bug number so it didn't get closed.

http://packages.qa.debian.org/n/newt/news/20100303T103227Z.html

-- 
bye,
pabs

http://wiki.debian.org/PaulWise

[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Apr 2010 07:31:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:28:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.